#include "translatableapp.h"

#include <QTranslator>
#include <QDir>

TranslatableApp::TranslatableApp(int &argc, char **argv): QApplication(argc,argv)
{

}

void TranslatableApp::createTranslators(QStringList languages)
{
    foreach (QString language, languages) {
        QTranslator* translator = new QTranslator(instance());
        translator->load(QString("VDA_%1").arg(language));
        translators.insert(language, translator);
    }
}

void TranslatableApp::swithLanguage(QString languaje)
{
    if(currentLanguaje)
    {
        removeTranslator(currentLanguaje);
    }

    if(translators.contains(languaje))
    {
        currentLanguaje = translators.value(languaje);
        installTranslator(currentLanguaje);
    }
}
